May 2026

Prev Next

Webhooks: Interaction Context Metadata

May 27, 2026

Webhook payloads for inbound, outbound, and Dialer call events now support an optional interaction_context object. This field provides additional interaction metadata, such as contact identifiers, brand information, or language settings, based on your contact center configuration. For inbound calls, the data can also include mapped custom SIP header values. The interaction_context object is included only when configured for the contact center.

Related articles:

Dialer campaigns: Follow-up mode selection for

May 22, 2026

A new Follow-up mode setting is added to Dialer campaigns with two options:

  • Timer: Redials each contact based on its configured delay timer.
  • Lowest attempt: Prioritizes contacts with the fewest dial attempts while still respecting configured redial delay timers, helping distribute retries more evenly across the contact pool.

Related articles:

Historical report configuration

May 21, 2026

The Historical Reports overview article has been updated to reflect new report layout management capabilities. Generated reports now support user-defined column sorting and drag-and-drop column ordering. These preferences are saved automatically and applied consistently to generated reports in the browser, downloaded CSV files, emailed reports, and scheduled reports. An updated video tutorial has also been added to show you how to configure and generate historical reports.

Related article:

Bring Your Own Bot overview

May 20, 2026

A new article is added providing information for Bring Your Own Bot (BYOB) integration users who wish to configure their AI voice bots for call routing and hand-off to a human agent in your Voiso contact center.

Related articles:

Campaigns API: Lead status lookup endpoint

May 19, 2026

The Get campaign lead statuses (GET /api/v4/campaigns/{campaign_id}/lead_statuses) endpoint is added to the Developer portal. Use this endpoint to retrieve dialing status for one or more phone numbers in a campaign. This helps validate whether leads have been dialed and review last call or redial status without exporting campaign data.

Related articles:

Get list of CDRs endpoint Account ID filter

May 19, 2026

The Get list of CDRs endpoint now supports an optional account_id query parameter, letting you filter CDR results by an external account ID, such as a contact ID from a CRM or other service as either a single value or multiple values.

Related article:

ElevenLabs SIP transport protocol

May 14, 2026

The supported SIP transport protocol for ElevenLabs BYOB integration is now UDP instead of TLS.

Related article:

Zenoti Contact lookup feature

May 11, 2026

The Contact lookup option is add to the Zenoti Settings tab. This feature enables agents to view contact details and an interaction history of the contact in Agent Workspace.

Related articles:

Create conversation v4 endpoint

May 6, 2026

The Create conversation endpoint now supports an optional source object. Use it to attach external system context, such as a CRM name (source.system) and contact identifier (source.account_id) when creating a WhatsApp conversation.

Related article:

Speech Analytics configuration

May 6, 2026

The Speech Analytics configuration documentation has been improved to remove ambiguity around user configuration. The original Speech Analytics article has been split into three separate articles, an overview and separate configuration articles for contact centers using Security Access Groups and contact centers using basic user roles.

Important

If you were having issues getting Speech Analytics working in your contact center, the original article was likely the reason as it did not make it clear that agents and supervisors/analysts/admins required different configuration for the feature to work.

Related articles:

Running an API campaign

May 5, 2026

The Running an API campaign article is updated to include links to the Campaigns endpoints of the v4 API.

Related articles:

Create Campaign v4 endpoint

May 5, 2026

AMD voicemail message support is added for API Dialer campaigns. The Create campaign endpoint now supports an amd_voicemail_message object. Use it to control voicemail playback when Answering Machine Detection (AMD) detects an answering machine. The object includes enabled and voice_message_id.

Related articles:

Partially Update Campaign v4 endpoint

May 5, 2026

AMD voicemail message support is added for API Dialer campaigns. The Partially update campaign endpoint now supports an amd_voicemail_message object. Use it to control voicemail playback when Answering Machine Detection (AMD) detects an answering machine. The object includes enabled and voice_message_id.

Related articles:

Send SMS v4 endpoint

May 4, 2026

The sender_id field of the Send SMS request body has been updated.
This field can now display either the originating phone number or Sender ID text to the recipient.

Two string formats are supported:

  • A string of numbers representing an e.164 formatted phone number without the '+'.
  • An alphanumeric string of up to 30 characters in the following format: ^[-Z-z0-9]{1,30}$. The alphanumeric string must be a sender ID assigned to your contact center.

Related articles: